Subject: bug#5162: 23.1.90; display-time broken in non-X build

From: Sven Joachim <[email-masked]>
Date: Thu, 10 Dec 2009 23:22:26 +0100

On 2009-12-10 20:09 +0100, Stefan Monnier wrote:

>> I see that you have already committed it, and it has definitely improved
>> the situation, but it is still necessary to run "make clean" when
>> re-configuring "--without-x" (before your patch, only the brute
>> "make maintainer-clean" would have done the trick).
>
> Hmm... indeed it seems that the normal build procedure runs
> `cd lisp; make autoloads' only when lisp/loaddefs.el is missing and
> doesn't otherwise update the file.
>
> The patch below should fix that, tho at the cost of making the autoloads
> twice in the bootstrap case.  Can you confirm it fixes the problem?

It doesn't, because Emacs is rebuilt first, using the outdated
loaddefs.el, and the autoloads are only updated later.

Sven